using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace SorsolasConsole
{
    class Sorsolas
    {
        public void GetAll() //az összes név  
        {
            using (var client = new WebClient()) //WebClient  
            {
                client.Encoding = Encoding.UTF8; //magyar ékezetes betűk elérése
                client.Headers.Add("Content-Type:application/json"); //Content-Type  
                client.Headers.Add("Accept:application/json");               
                var result = client.DownloadString("http://localhost:49885/api/sorsolas"); //URI módosítsuk a saját gépen vagy Azure-ban futóra                 
               
                Console.WriteLine(Environment.NewLine + result);
            }
        }
        public void GetKiválasztott(int id) //egy kisorsolt  
        {
            using (var client = new WebClient()) //WebClient  
            {
                client.Encoding = Encoding.UTF8; //magyar ékezetes betűk elérése
                client.Headers.Add("Content-Type:application/json"); //Content-Type  
                client.Headers.Add("Accept:application/json");
                var result = client.DownloadString("http://localhost:49885/api/sorsolas/" + id.ToString()); //URI módosítsuk a saját gépen  vagy  Azure-banfutóra 
                Console.WriteLine(result);
            }
        }
    }
}
